Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 1476057

Summary: bootloader error during initial install
Product: [Fedora] Fedora Reporter: Thom Carlin <tcarlin>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 26CC: anaconda-maint-list, g.kaviyarasu, jkonecny, jonathan, mkolman, tcarlin, vanmeeuwen+fedora, vponcova
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=1475877
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 08:55:17 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Thom Carlin 2017-07-27 20:38:18 EDT
Description of problem:

Unexpected bootloader error during initial install of Fedora 26 on HP Envy machine

Version-Release number of selected component (if applicable):

26

How reproducible:

100% with specific configuration

Steps to Reproduce:
1. Attempt to install Fedora 26 on brand new HP Envy machine

Actual results:

Anaconda errors out with bootloader error

Expected results:

Successful install

Additional info:

Background/workaround (from my memory):

I had used blivet to create a custom partition layout.

Without any real additional information, I booted into rescue mode.  Once there, I tried: grub2-install /dev/sda
Grub reported a problem with no BIOS boot being set in the GPT.  This led to a superuser.com article which mentioned gdisk.
gdisk /dev/sda
On startup, it mentioned something about a "protective MBR"
Selecting "r" brought up the "recovery and transformation options (experts only)"
Selecting "x" brought up the "extra functionality (experts only)"
Selecting "z" led to "zap (destroy) GPT data structures and exit"
Selecting "w" wrote the table to disk and exit

After that, grub2-install worked
After that, I reran anaconda with the same options.  It completed successfully and the system rebooted correctly into Fedora 26.
Comment 1 Jiri Konecny 2017-07-28 04:07:54 EDT
Hi Thom,

Could you please provides logs from the failed installation?
Comment 2 Thom Carlin 2017-07-30 15:03:25 EDT
The logs are no longer available.
Comment 3 Thom Carlin 2017-07-31 09:36:17 EDT
It would be useful if there was a way to easily do Abrt or even retrace on these types of errors.  There was network connectivity at the time of the issue.

As I recall, the only visible option was Debug to a Python debug shell.
Comment 4 Fedora End Of Life 2018-05-03 04:38:19 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2018-05-29 08:55:17 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.